import {mapApiDocs} from '../../src/util';
import {getDocs} from '../fixtures/get-docs';

test('Map docs to array', async () => {
	const docs = await getDocs('create-basic-interface.json');

	const result = docs.map(doc => mapApiDocs(doc, 'Test'));

	expect(result).toEqual([
		{
			service: 'Test',
			name: 'createProduct',
			method: 'post',
			path: 'createProduct'
		}
	]);
});
