"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const BASE_LOCATION = 'api_data.json';
exports.getDocs = (docsPath) => {
    const location = path.join(docsPath, BASE_LOCATION);
    if (!fs.existsSync(location)) {
        throw new Error(`Nothing found at ${location}`);
    }
    return JSON.parse(fs.readFileSync(location).toString());
};
